[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# Register

Registers components declared in the unit.

## Declaration

Source position: stdctrls.pp line 1671

`procedure Register;`

## Description

Register is a procedure used to register components in the stdctrls.pp unit for use in the Lazarus IDE.

Register calls RegisterComponents to add the following components to the Standard tab in the IDE:

- TButton
- TLabel
- TEdit
- TMemo
- TToggleBox
- TCheckBox
- TRadioButton
- TListBox
- TComboBox
- TScrollBar
- TGroupBox

Register calls RegisterComponents to add the following components to the Additional tab in the IDE:

- TStaticText